<?php
// START APPOINTMENT SECTION 
$wp_customize->add_section(
	'lz_fitness_appointment_section',
	array(
		'title'         => __( 'Appointment Section', 'luzuk-premium' ),
		'panel'   => 'lz_fitness_premium_home_panel',
	)
);
    //ENABLE/DISABLE Appointment SECTION
$wp_customize->add_setting(
	'lz_fitness_appointment_section_disable',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'lz_fitness_appointment_section_disable',
		array(
			'settings'      => 'lz_fitness_appointment_section_disable',
			'section'       => 'lz_fitness_appointment_section',
			'label'         => __( 'Disable Section', 'luzuk-premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'luzuk-premium' ),
				'off' => __( 'No', 'luzuk-premium' )
			)   
		)
	)
);

//backgroundManager($wp_customize, 'appointment', 'lz_fitness_appointment_section', $color='#fff');

 backgroundManager($wp_customize, 'appointment', 'lz_fitness_appointment_section', $color='#fff', get_template_directory_uri().'/images/timesectionbg.jpg', 'color');

$wp_customize->add_setting(
	'lz_fitness_appointment_title_subtitle_heading',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
	)
);
$wp_customize->add_control(
	new lz_fitness_Customize_Heading(
		$wp_customize,
		'lz_fitness_appointment_title_subtitle_heading',
		array(
			'settings'      => 'lz_fitness_appointment_title_subtitle_heading',
			'section'       => 'lz_fitness_appointment_section',
			'label'         => __( 'Section Title & Sub Title', 'luzuk-premium' ),
		)
	)
);
$wp_customize->add_setting(
	'lz_fitness_appointment_title',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Our Location', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_appointment_title',
	array(
		'settings'      => 'lz_fitness_appointment_title',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'text',
		'label'         => __( 'Here goes the short description for the section', 'luzuk-premium' )
	)
);
$wp_customize->add_setting(
	'lz_fitness_appointment_sub_title',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Fill the form and get dicounts', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_appointment_sub_title',
	array(
		'settings'      => 'lz_fitness_appointment_sub_title',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'textarea',
		'label'         => __( 'Sub Title', 'luzuk-premium' )
	)
);

// Heading color
addColorPalatOption($wp_customize, 'lz_fitness_appointment_HeadingColor', 'lz_fitness_appointment_section', 'Heading color', '#ffffff');
// Text color
addColorPalatOption($wp_customize, 'lz_fitness_appointment_TextColor', 'lz_fitness_appointment_section', 'Text color', '#ffffff');

$wp_customize->add_setting(
	'lz_fitness_appointment_form_lbl',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
	)
);

$wp_customize->add_control(
	new lz_fitness_Customize_Heading(
		$wp_customize,
		'lz_fitness_appointment_form_lbl',
		array(
			'settings'      => 'lz_fitness_appointment_form_lbl',
			'section'       => 'lz_fitness_appointment_section',
			'label'         => __( 'Add Right Image', 'luzuk-premium' ),
		)
	)
);

    $wp_customize->add_setting(
        'lz_fitness_appointment_right_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'lz_fitness_appointment_right_image',
            array(
                'section' => 'lz_fitness_appointment_section',
                'settings' => 'lz_fitness_appointment_right_image',
                'label' => __( 'Select Image ', 'luzuk-premium' ),
                'description' => __('Recommended Image Size: 1900X600px', 'luzuk-premium')
            )
        )
    );

/*$wp_customize->add_setting(
	'lz_fitness_appointment_form_shortcode',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Add your form shortcode on customiser', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_appointment_form_shortcode',
	array(
		'settings'      => 'lz_fitness_appointment_form_shortcode',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'text',
		'label'         => __( 'Shortcode', 'luzuk-premium' )
	)
);*/


// Adding the Label

lzCustomLable($wp_customize, 'lz_fitness_appointment_lblImgTxt', 'lz_fitness_appointment_section', 'Address Details');
$wp_customize->add_setting(
	'lz_fitness_appointment_maintitle',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Netherlands', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_appointment_maintitle',
	array(
		'settings'      => 'lz_fitness_appointment_maintitle',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'text',
		'label'         => __( 'Location', 'luzuk-premium' )
	)
);

//add custome redio button
// lzAddCustomRadio($wp_customize, 'lz_fitness_appointment_radioImgTxt', 'lz_fitness_appointment_section', 'Use text');
//add textarea
$wp_customize->add_setting(
	'lz_fitness_appointment_phhone',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Phone', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_appointment_phhone',
	array(
		'settings'      => 'lz_fitness_appointment_phhone',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'text',
		'label'         => __( 'Phone No.', 'luzuk-premium' )
	)
);
lzAddElement($wp_customize, 'lz_fitness_appointment_phone', 'lz_fitness_appointment_section', 'text', $label="Phone", 'lz_fitness_sanitize_text', '+01 8563 256 523');

$wp_customize->add_setting(
	'lz_fitness_appointment_faxx',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Fax', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_appointment_faxx',
	array(
		'settings'      => 'lz_fitness_appointment_faxx',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'text',
		'label'         => __( 'Fax Title', 'luzuk-premium' )
	)
);

lzAddElement($wp_customize, 'lz_fitness_appointment_fax', 'lz_fitness_appointment_section', 'text', $label="Fax ", 'lz_fitness_sanitize_text', '+01 8563 256 520');

$wp_customize->add_setting(
	'lz_fitness_appointment_emailid',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Email', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_appointment_emailid',
	array(
		'settings'      => 'lz_fitness_appointment_emailid',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'text',
		'label'         => __( 'EmailType', 'luzuk-premium' )
	)
);
lzAddElement($wp_customize, 'lz_fitness_appointment_email', 'lz_fitness_appointment_section', 'text', $label="Email", 'lz_fitness_sanitize_text', 'email@example.com');
$wp_customize->add_setting(
	'lz_fitness_appointment_addrress',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Address', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_appointment_addrress',
	array(
		'settings'      => 'lz_fitness_appointment_addrress',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'text',
		'label'         => __( 'Add Address', 'luzuk-premium' )
	)
);
lzAddElement($wp_customize, 'lz_fitness_appointment_address', 'lz_fitness_appointment_section', 'textarea', $label="Address", 'lz_fitness_sanitize_text', '984 st South capital avenue california CA 42565');





// option to select image
// lzAddImageElement($wp_customize, 'lz_fitness_appointment_ImgTxt', 'lz_fitness_appointment_section', $label="Recommended Image Size: 400X300px");
// END APPOINTMENT SECTION 